Subject: RE: group name problem
From: "Jacob Kitzman" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 1 Oct 2004 15:06:04 -0500

Great, I've corrected this by setting permissions on C:\ properly.  Thanks
for the advice!

Jacob

-----Original Message-----
From: Pierre A. Humblet [mailto:[email-masked]] 
Sent: Friday, October 01, 2004 2:31 PM
To: Jacob Kitzman
Cc: [email-masked]
Subject: Re: group name problem

Jacob Kitzman wrote:
> 
> Pierre,
> 
> I noticed that the output differs between running just "id" and "strace -o
> trace.txt id":
> 
> dnr@walz-bemaster ~
> $ id
> uid=1004(dnr) gid=1006(mkgroup) groups=1006(mkgroup)
> 
> dnr@walz-bemaster ~
> $ strace -o trace.txt id
> uid=400(dnr) gid=401(mkpasswd) groups=401(mkpasswd)
> 
> I've attached trace.txt.
> 
> Thanks a lot for looking for this!

It looks like you cannot get volume information about C:\
Consequently the file is not marked as a disk file and
the pwdgrp loading function does not try to read it.

Pierre

   86   16350 [main] id 1684 mount_info::conv_to_win32_path: src_path
/etc/passwd, dst C:\cygwin\etc\passwd, flags 0x2000008, rc 0
  174   16524 [main] id 1684 symlink_info::check: not a symlink
  111   16635 [main] id 1684 symlink_info::check: 0 = symlink.check
(C:\cygwin\etc\passwd, 0x22E978) (0x2000008)
  217   16852 [main] id 1684 fs_info::update: Cannot get volume information
(C:\), Win32 error 5

~> net helpmsg 5
Access is denied.

  354   17206 [main] id 1684 etc::test_file_change: FindFirstFile succeeded
  296   17502 [main] id 1684 etc::test_file_change: fn[1]
C:\cygwin\etc\passwd res 1
  108   17610 [main] id 1684 etc::init: fn[1] C:\cygwin\etc\passwd, curr_ix
1
   71   17681 [main] id 1684 pwdgrp::load: /etc/passwd
   67   17748 [main] id 1684 pwdgrp::load: strange path_conv problem
   67   17815 [main] id 1684 pwdgrp::load: /etc/passwd load failed

   69   18829 [main] id 1684 mount_info::conv_to_win32_path: src_path
/etc/group, dst C:\cygwin\etc\group, flags 0x2000008, rc 0
  169   18998 [main] id 1684 symlink_info::check: not a symlink
  108   19106 [main] id 1684 symlink_info::check: 0 = symlink.check
(C:\cygwin\etc\group, 0x22E938) (0x2000008)
  228   19334 [main] id 1684 fs_info::update: Cannot get volume information
(C:\), Win32 error 5
  333   19667 [main] id 1684 etc::test_file_change: FindFirstFile succeeded
  123   19790 [main] id 1684 etc::test_file_change: fn[2]
C:\cygwin\etc\group res 1
   70   19860 [main] id 1684 etc::init: fn[2] C:\cygwin\etc\group, curr_ix 2
   66   19926 [main] id 1684 pwdgrp::load: /etc/group
   67   19993 [main] id 1684 pwdgrp::load: strange path_conv problem
   65   20058 [main] id 1684 pwdgrp::load: /etc/group load failed

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/